## com.lowagie.text.pdf
Class PdfNameTree

    java.lang.Object
      com.lowagie.text.pdf.PdfNameTree

    public class PdfNameTree

extends java.lang.Object

Creates a name tree.

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`private static int` `leafSize`

Constructor Summary
`PdfNameTree()`

Method Summary
`private static void` `iterateItems(PdfDictionary dic, java.util.HashMap items)`
`static java.util.HashMap` `readTree(PdfDictionary dic)`
`static PdfDictionary` `writeTree(java.util.HashMap items, PdfWriter writer)` Writes a name tree to a PdfWriter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### leafSize

    private static final int leafSize

See Also:
  Constant Field Values

Constructor Detail

### PdfNameTree

    public PdfNameTree()

Method Detail

### writeTree

    public static PdfDictionary writeTree(java.util.HashMap items,
                                          PdfWriter writer)
                                   throws java.io.IOException

  Writes a name tree to a PdfWriter.

  Parameters:
    `items` - the item of the name tree. The key is a `String` and the value is a `PdfObject`. Note that although the keys are strings only the lower byte is used and no check is made for chars with the same lower byte and different upper byte. This will generate a wrong tree name.
    `writer` - the writer
  Returns:
    the dictionary with the name tree. This dictionary is the one generally pointed to by the key /Dests, for example
  Throws:
    `java.io.IOException` - on error

### iterateItems

    private static void iterateItems(PdfDictionary dic,
                                     java.util.HashMap items)

### readTree

    public static java.util.HashMap readTree(PdfDictionary dic)

Hosted by Hostbasket